"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_1 = require("vscode");
class LeanWorkspaceSymbolProvider {
    constructor(server) {
        this.server = server;
    }
    provideWorkspaceSymbols(query) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.server.search(query);
            return response.results
                .filter((item) => item.source && item.source.file &&
                item.source.line && item.source.column)
                .map((item) => {
                const loc = new vscode_1.Location(vscode_1.Uri.file(item.source.file), new vscode_1.Position(item.source.line - 1, item.source.column));
                return new vscode_1.SymbolInformation(item.text, vscode_1.SymbolKind.Function, item.type, loc);
            });
        });
    }
}
exports.LeanWorkspaceSymbolProvider = LeanWorkspaceSymbolProvider;
//# sourceMappingURL=search.js.map